Index: trunk/configure.ac
===================================================================
--- trunk/configure.ac	(revision 7256)
+++ trunk/configure.ac	(revision 7661)
@@ -38,5 +38,5 @@
 AM_INIT_AUTOMAKE
 
-AC_CONFIG_SRCDIR([./src])
+AC_CONFIG_SRCDIR([src/orxonox.cc])
 AC_CONFIG_HEADER([config.h])
 
@@ -64,7 +64,7 @@
         echo "given: $DATA_DIR"
 fi
-AC_DEFINE_UNQUOTED([DATADIR], ["$DATA_DIR"],
+AC_DEFINE_UNQUOTED([ORX_DATADIR], ["$DATA_DIR"],
                    [Define to the read-only architecture-independent
-                    data directory.])
+                    data directory of ORXONOX.])
 
 #-----------------#
@@ -108,4 +108,8 @@
   fi
 fi
+
+if test $DEBUD > 3 ; then
+  CPPFLAGS="${CPPFLAGS} -g"
+fi
 AC_DEFINE_UNQUOTED(DEBUG, $DEBUG, [in which debug mode we are])
 AC_SUBST(DEBUG)
@@ -127,16 +131,4 @@
 fi
 
-#--------------#
-# GTK-disabled #
-#--------------#
-AC_MSG_CHECKING([if gtk should be enabled])
-AC_ARG_ENABLE([gtk],
-        AS_HELP_STRING(--disable-gtk,Prevents GTK from being loaded), [def_gtk=no], [def_gtk=yes])
-if test x$def_gtk = xyes; then
-  echo "yes"
-fi
-if test x$def_gtk = xno; then
-  echo "no"
-fi
 
 #------------------#
@@ -152,4 +144,20 @@
   echo "no"
 fi
+
+#--------------#
+# GTK-disabled #
+#--------------#
+
+AC_MSG_CHECKING([if gtk should be enabled])
+AC_ARG_WITH([gtk],
+        AS_HELP_STRING(--with-gtk, uses GTK for the GUI), [def_gtk=yes], [def_gtk=no])
+if test x$def_gtk = xyes; then
+  echo "yes - will be overwritten if Qt is enabled"
+fi
+if test x$def_gtk = xno; then
+  echo "no"
+fi
+
+
 
 #-------------------#
@@ -211,6 +219,4 @@
 fi
 AM_CONDITIONAL(DOCUMENTATION, test x$def_documentation = xyes)
-
-
 
 #---------------------------#
@@ -228,4 +234,12 @@
   CPPFLAGS="${CPPFLAGS} -I${PREFIX}/include"
   LDFLAGS="${LDFLAGS} -L$PREFIX/${ARCH}/lib -Wl,-rpath -Wl,${PREFIX}/${ARCH}/lib"
+
+  ## QT
+  QT_PREFIX=/usr/pack/qt-4.1.1-mo/${ARCH}
+#  CPPFLAGS="${CPPFLAGS} -I${PREFIX_QT}/include"
+#  LDFLAGS="${LDFLAGS} -L${QT_PREFIX}/lib -Wl,-rpath -Wl,${QT_PREFIX}/${ARCH}/lib"
+
+
+
   ## GTK
   GTKPREFIX=/usr/pack/gtk-2.8.3-mo
@@ -238,4 +252,6 @@
   echo "no"
 fi
+
+
 
 #######################
@@ -272,7 +288,4 @@
 ## here the system is checked, and openGL is included
 ## also checking for SDL on differen Systems
-
-CPPFLAGS="$CPPFLAGS -g"
-
 
 AC_MSG_CHECKING([for System])
@@ -557,28 +570,12 @@
 
 
-#---------#
-# libcURL #
-#---------#
-AX_CHECK_HEADER_LIB([curl/curl.h], [curl], [main], [
- have_curl=yes
-  CURL_LIBS=`curl-config --libs`
-  CURLCFLAGS=`curl-config --cflags`
-  AC_DEFINE_UNQUOTED(HAVE_CURL, 1, [if we have CURL]) ]
-  ,, [http://curl.haxx.se/])
-
-AC_SUBST(CURL_LIBS)
-AC_SUBST(CURL_CFLAGS)
-AM_CONDITIONAL(HAVE_CURL, test "x$have_curl" = "xyes")
-
-#--------#
-# efence #
-#--------#
-if test x$def_efence = xyes ; then
-  AC_CHECK_LIB([efence], [main], [FOUND_efence=yes; LIBS="$LIBS -lefence"])
-   if test x$FOUND_efence != xyes ; then
-     echo "efence was requested, but is not installed!! going on"
-   fi
-
-fi
+#----#
+# QT #
+#----#
+AX_CHECK_QT([${QT_PREFIX}], [QtCore],, [http://www.trolltech.com])
+if test x$have_qt = xno ; then
+    WITH_QT=no
+fi
+
 
 #-----#
@@ -607,4 +604,29 @@
 AM_CONDITIONAL(HAVE_GTK2, test x$have_gtk2 = xyes)
 
+
+#---------#
+# libcURL #
+#---------#
+AX_CHECK_HEADER_LIB([curl/curl.h], [curl], [main], [
+ have_curl=yes
+  CURL_LIBS=`curl-config --libs`
+  CURLCFLAGS=`curl-config --cflags`
+  AC_DEFINE_UNQUOTED(HAVE_CURL, 1, [if we have CURL]) ]
+  ,, [http://curl.haxx.se/])
+
+AC_SUBST(CURL_LIBS)
+AC_SUBST(CURL_CFLAGS)
+AM_CONDITIONAL(HAVE_CURL, test "x$have_curl" = "xyes")
+
+#--------#
+# efence #
+#--------#
+if test x$def_efence = xyes ; then
+  AC_CHECK_LIB([efence], [main], [FOUND_efence=yes; LIBS="$LIBS -lefence"])
+   if test x$FOUND_efence != xyes ; then
+     echo "efence was requested, but is not installed!! going on"
+   fi
+
+fi
 
 # FIXME: Replace `main' with a function in `-lm':
@@ -643,9 +665,10 @@
                  src/lib/gui/gtk_gui/Makefile
                  src/lib/gui/gl_gui/Makefile
+                 src/lib/gui/qt_gui/Makefile
                  src/lib/parser/Makefile
                  src/lib/parser/tinyxml/Makefile
                  src/lib/parser/ini_parser/Makefile
                  src/lib/parser/cmdline_parser/Makefile
-		 src/lib/parser/preferences/Makefile
+                 src/lib/parser/preferences/Makefile
                  src/util/Makefile
                  src/world_entities/Makefile
